# $Revision: 1.24 $, $Date: 2011/11/18 19:16:37 $
Summary:	KeePassX - Cross Platform Password Manager
Summary(pl.UTF-8):	KeePassX - Wieloplatformowy zarządca haseł
Name:		KeePassX
Version:	0.4.3
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/keepassx/keepassx-%{version}.tar.gz
# Source0-md5:	1df67bb22b2e08df49f09e61d156f508
URL:		http://keepassx.sourceforge.net/
BuildRequires:	Qt3Support-devel >= 4.0
BuildRequires:	QtGui-devel >= 4.0
BuildRequires:	QtXml-devel >= 4.0
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-designer >= 4.0
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	rpmbuild(macros) >= 1.230
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KeePassX is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).

%description -l pl.UTF-8
KeePassX to darmowy i mający otwarte źródła zarządca do przechowywania
haseł, który pozwala na zarządzanie hasłami w bardzo bezpieczny
sposób. Pozwala umieścić wszystkie swoje hasła w jednej bazie, która
jest zabezpieczona poprzez jedno bardzo trudne hasło albo dysk z
kluczem. Wystarczy więc zapamiętać jedno trudne hasło lub umieścić
dysk z kluczem aby odblokować całą bazę z kluczami. Baza jest
zaszyfrowana najlepszymi i najbardziej bezpiecznymi algorytmami
szyfrowania jakie są do tej pory znane (AES i TwoFish).

%prep
%setup -q -n keepassx-%{version}

%build
qmake-qt4 \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install

rm -r $RPM_BUILD_ROOT%{_datadir}/mimelnk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mime/packages/keepassx.xml
%{_desktopdir}/keepassx.desktop
%{_pixmapsdir}/keepassx.xpm
%{_datadir}/keepassx

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: KeePassX.spec,v $
Revision 1.24  2011/11/18 19:16:37  jajcus
- do not pack KDE3  'mimelnk' file (pulls kde3support, not installable in Th)
- Release: 2

Revision 1.23  2010/03/11 11:07:40  wiget
- 0.4.3

Revision 1.22  2010/02/05 23:18:02  sls
- packaged mime* stuff, TODO done

Revision 1.21  2010/01/22 23:44:03  sls
- rel. 1
- unpackaged files

Revision 1.20  2010/01/22 22:59:20  sls
- ver. 0.4.1

Revision 1.19  2008/11/25 10:16:40  duddits
- up to 0.3.4

Revision 1.18  2008/10/19 06:33:10  duddits
- up to 0.3.3 (thanks to Darek Moszkowicz)

Revision 1.17  2008/08/31 18:38:34  qboosh
- builds on x86_64, don't see any reason for EA

Revision 1.16  2008/05/09 18:55:59  prism
- up to 0.3.1

Revision 1.15  2008-01-04 19:26:33  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.14  2007-05-01 18:26:03  sardzent
- ups my bad

Revision 1.13  2007/05/01 18:24:22  sardzent
- added files

Revision 1.12  2007/05/01 18:20:01  qboosh
- simplified files and thus killed the rest of missing dirs

Revision 1.11  2007/05/01 18:17:20  sardzent
- fixed files

Revision 1.10  2007/04/24 18:40:25  rotom
- BR added

Revision 1.9  2007/04/22 12:59:03  sardzent
- added one more missing BR

Revision 1.8  2007/04/22 12:50:54  sardzent
- added missing BR

Revision 1.7  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.5  2006/08/19 10:25:52  qboosh
- cleanup, fixed pl, BRs and Group

Revision 1.4  2006/08/15 09:23:23  darekr
- md5sum

Revision 1.3  2006/08/15 09:18:37  domelu
- fixed commitlog

Revision 1.2  2006/08/15 08:47:30  domelu
- adapterized

Revision 1.1  2006/08/14 21:22:10  speedo
- init
